rte_sched_port_params(3)

NAME
rte_sched_port_params

SYNOPSIS

#include <rte_sched.h>

  Data Fields

const char * name
int socket
uint64_t rate
uint32_t mtu
uint32_t frame_overhead
uint32_t n_subports_per_port
struct rte_sched_subport_profile_params * subport_profiles
uint32_t n_subport_profiles
uint32_t n_max_subport_profiles
uint32_t n_pipes_per_subport

Detailed Description

Port configuration parameters.

Definition at line 270 of file rte_sched.h.

Field Documentation

  const char* name
Name of the port to be associated

Definition at line 272 of file rte_sched.h.

  int socket
CPU socket ID

Definition at line 275 of file rte_sched.h.

  uint64_t rate
Output port rate (measured in bytes per second)

Definition at line 278 of file rte_sched.h.

  uint32_t mtu
Maximum Ethernet frame size (measured in bytes). Should not include the framing overhead.

Definition at line 283 of file rte_sched.h.

  uint32_t frame_overhead
Framing overhead per packet (measured in bytes)

Definition at line 286 of file rte_sched.h.

  uint32_t n_subports_per_port
Number of subports

Definition at line 289 of file rte_sched.h.

  struct rte_sched_subport_profile_params* subport_profiles
subport profile table. Every pipe is configured using one of the profiles from this table.

Definition at line 294 of file rte_sched.h.

  uint32_t n_subport_profiles
Profiles in the pipe profile table

Definition at line 297 of file rte_sched.h.

  uint32_t n_max_subport_profiles
Max allowed profiles in the pipe profile table

Definition at line 300 of file rte_sched.h.

  uint32_t n_pipes_per_subport
Maximum number of subport pipes. This parameter is used to reserve a fixed number of bits in struct rte_mbuf::sched.queue_id for the pipe_id for all the subports of the same port.

Definition at line 307 of file rte_sched.h.

Author

Generated automatically by Doxygen for DPDK from the source code.